Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

There are some applications that are only for i386 version but I have amd64 version.

Can I run them on my system?

I am using Kubuntu 12.04.1 LTS 64-bit version.

share|improve this question
    
There is no such thing as x64 (though microsoft use this confusing term). The real names AMD's AMD64 and Intel's IA-32e (later EM64T), sometime x86-64. We use AMD64 to refer to all implementations. I call it x64 suggests that it is a 364, 464 584 or 684 (all non existent processors), or that the x86 is an 86 bit processor. –  richard Jan 24 '13 at 10:09
    
askubuntu.com/questions/20355/… –  richard Jan 24 '13 at 10:12
    
thank you, for your answers. –  adi Jan 24 '13 at 13:10
add comment

1 Answer

up vote 1 down vote accepted

yes:

I think you can install the 32bit libraries, this may be enough.

Or for a custom job with lots of dependencies, there is debootstrap (puts a 32 or 64 bit image of minimal Debian, including apt-get (so you can add more), on to your hard disk, in its own subdirectory). multistrap does the same for other apt based distros e.g. ubuntu. Then you need something like schroot, to help launch the apps.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.